using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore;

namespace DAL.PGModels;

public partial class PostgresContext : DbContext
{
    public PostgresContext()
    {
    }

    public PostgresContext(DbContextOptions<PostgresContext> options)
        : base(options)
    {
    }

    public virtual DbSet<BlockIplog> BlockIplogs { get; set; }

    public virtual DbSet<BlsHotelsList> BlsHotelsLists { get; set; }

    public virtual DbSet<DevMonitorlog> DevMonitorlogs { get; set; }

    public virtual DbSet<DevMonitorlogCopy1> DevMonitorlogCopy1s { get; set; }

    public virtual DbSet<Excelgenerater> Excelgeneraters { get; set; }

    public virtual DbSet<IotMonitorlog> IotMonitorlogs { get; set; }

    public virtual DbSet<LogFilterRule> LogFilterRules { get; set; }

    public virtual DbSet<Qingao> Qingaos { get; set; }

    public virtual DbSet<Recordhotel> Recordhotels { get; set; }

    public virtual DbSet<SkyworthTvMonitorlog> SkyworthTvMonitorlogs { get; set; }

    public virtual DbSet<StatisticsTotal> StatisticsTotals { get; set; }

    public virtual DbSet<TclTvMonitorlog> TclTvMonitorlogs { get; set; }

    public virtual DbSet<WebapiMonitorlog> WebapiMonitorlogs { get; set; }

    public virtual DbSet<_1091Log> _1091Logs { get; set; }

    public virtual DbSet<_1091Room> _1091Rooms { get; set; }

    public virtual DbSet<_1091SimplificationLog> _1091SimplificationLogs { get; set; }

    public virtual DbSet<_1106Log> _1106Logs { get; set; }

    public virtual DbSet<_1106Room> _1106Rooms { get; set; }

    public virtual DbSet<_1106SimplificationLog> _1106SimplificationLogs { get; set; }

    public virtual DbSet<_1197Log> _1197Logs { get; set; }

    public virtual DbSet<_1197Room> _1197Rooms { get; set; }

    public virtual DbSet<_1197SimplificationLog> _1197SimplificationLogs { get; set; }

    public virtual DbSet<_1399Log> _1399Logs { get; set; }

    public virtual DbSet<_1399Room> _1399Rooms { get; set; }

    public virtual DbSet<_1399SimplificationLog> _1399SimplificationLogs { get; set; }

    public virtual DbSet<_1564Log> _1564Logs { get; set; }

    public virtual DbSet<_1564Room> _1564Rooms { get; set; }

    public virtual DbSet<_1564SimplificationLog> _1564SimplificationLogs { get; set; }

    public virtual DbSet<_1633Log> _1633Logs { get; set; }

    public virtual DbSet<_1633Room> _1633Rooms { get; set; }

    public virtual DbSet<_1633SimplificationLog> _1633SimplificationLogs { get; set; }

    public virtual DbSet<_1760Log> _1760Logs { get; set; }

    public virtual DbSet<_1760Room> _1760Rooms { get; set; }

    public virtual DbSet<_1760SimplificationLog> _1760SimplificationLogs { get; set; }

    public virtual DbSet<_1849Log> _1849Logs { get; set; }

    public virtual DbSet<_1849Room> _1849Rooms { get; set; }

    public virtual DbSet<_1849SimplificationLog> _1849SimplificationLogs { get; set; }

    public virtual DbSet<_2006Log> _2006Logs { get; set; }

    public virtual DbSet<_2006Room> _2006Rooms { get; set; }

    public virtual DbSet<_2006SimplificationLog> _2006SimplificationLogs { get; set; }

    public virtual DbSet<_2013Log> _2013Logs { get; set; }

    public virtual DbSet<_2013Room> _2013Rooms { get; set; }

    public virtual DbSet<_2013SimplificationLog> _2013SimplificationLogs { get; set; }

    public virtual DbSet<_2079Log> _2079Logs { get; set; }

    public virtual DbSet<_2079Room> _2079Rooms { get; set; }

    public virtual DbSet<_2079SimplificationLog> _2079SimplificationLogs { get; set; }

    public virtual DbSet<_2170Log> _2170Logs { get; set; }

    public virtual DbSet<_2170Room> _2170Rooms { get; set; }

    public virtual DbSet<_2170SimplificationLog> _2170SimplificationLogs { get; set; }

    public virtual DbSet<_2209Log> _2209Logs { get; set; }

    public virtual DbSet<_2209Room> _2209Rooms { get; set; }

    public virtual DbSet<_2209SimplificationLog> _2209SimplificationLogs { get; set; }

    public virtual DbSet<原始日志表设计备份1085Log> 原始日志表设计备份1085Logs { get; set; }

    public virtual DbSet<原始日志表设计备份1085Room> 原始日志表设计备份1085Rooms { get; set; }

    public virtual DbSet<原始日志表设计备份1085Rooms1> 原始日志表设计备份1085Rooms1s { get; set; }

//    protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
//#warning To protect potentially sensitive information in your connection string, you should move it out of source code. You can avoid scaffolding the connection string by using the Name= syntax to read it from configuration - see https://go.microsoft.com/fwlink/?linkid=2131148. For more guidance on storing connection strings, see https://go.microsoft.com/fwlink/?LinkId=723263.
//        => optionsBuilder.UseNpgsql("Server=10.8.8.212;Database=postgres;user id=postgres;password=123456;port=16035;");

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<BlockIplog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("BlockIPLog_pkey");

            entity.ToTable("BlockIPLog");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.CreateTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.Human).HasMaxLength(255);
        });

        modelBuilder.Entity<BlsHotelsList>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("BLS_Hotels_List_pkey");

            entity.ToTable("BLS_Hotels_List");

            entity.Property(e => e.Id)
                .HasComment("ID")
                .HasColumnName("ID");
            entity.Property(e => e.CreateDate).HasComment("创建时间");
            entity.Property(e => e.HotelCode)
                .HasMaxLength(255)
                .HasComment("酒店编号");
            entity.Property(e => e.HotelName)
                .HasMaxLength(255)
                .HasComment("酒店名称");
            entity.Property(e => e.Rooms).HasComment("房间数");
        });

        modelBuilder.Entity<DevMonitorlog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("dev_monitorlog_pkey");

            entity.ToTable("dev_monitorlog");

            entity.HasIndex(e => e.CommandType, "CommandType");

            entity.HasIndex(e => e.CreateTimeToUnixTime, "CreateTime").IsDescending();

            entity.HasIndex(e => e.Id, "ID").IsUnique();

            entity.HasIndex(e => new { e.HotelCode, e.HostNumber, e.HostId, e.RoomNo }, "MAC");

            entity.HasIndex(e => e.Mac, "MM");

            entity.HasIndex(e => e.CreateTime, "T");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.CommandType).HasMaxLength(128);
            entity.Property(e => e.CreateTime).HasColumnType("timestamp(6) without time zone");
            entity.Property(e => e.HostId).HasColumnName("HostID");
            entity.Property(e => e.HostNumber).HasMaxLength(64);
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.HotelId).HasColumnName("HotelID");
            entity.Property(e => e.LanIp)
                .HasMaxLength(64)
                .HasColumnName("LanIP");
            entity.Property(e => e.Mac)
                .HasMaxLength(64)
                .HasColumnName("MAC");
            entity.Property(e => e.RoomNo).HasMaxLength(64);
            entity.Property(e => e.SendOrReceive).HasMaxLength(64);
            entity.Property(e => e.WwwIp)
                .HasMaxLength(64)
                .HasColumnName("WWW_IP");
            entity.Property(e => e.WwwPort).HasColumnName("WWW_Port");
        });

        modelBuilder.Entity<DevMonitorlogCopy1>(entity =>
        {
            entity
                .HasNoKey()
                .ToTable("dev_monitorlog_copy1");

            entity.HasIndex(e => e.CommandType, "CommandType_copy1");

            entity.HasIndex(e => e.CreateTimeToUnixTime, "CreateTime_copy1").IsDescending();

            entity.HasIndex(e => new { e.HotelCode, e.HostNumber, e.HostId, e.RoomNo }, "MAC_copy1");

            entity.HasIndex(e => e.Mac, "MM_copy1");

            entity.HasIndex(e => e.CreateTime, "T_copy1");

            entity.Property(e => e.CommandType).HasMaxLength(128);
            entity.Property(e => e.CreateTime).HasColumnType("timestamp(6) without time zone");
            entity.Property(e => e.HostId).HasColumnName("HostID");
            entity.Property(e => e.HostNumber).HasMaxLength(64);
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.HotelId).HasColumnName("HotelID");
            entity.Property(e => e.Id)
                .ValueGeneratedOnAdd()
                .HasColumnName("ID");
            entity.Property(e => e.LanIp)
                .HasMaxLength(64)
                .HasColumnName("LanIP");
            entity.Property(e => e.Mac)
                .HasMaxLength(64)
                .HasColumnName("MAC");
            entity.Property(e => e.RoomNo).HasMaxLength(64);
            entity.Property(e => e.SendOrReceive).HasMaxLength(64);
            entity.Property(e => e.WwwIp)
                .HasMaxLength(64)
                .HasColumnName("WWW_IP");
            entity.Property(e => e.WwwPort).HasColumnName("WWW_Port");
        });

        modelBuilder.Entity<Excelgenerater>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("excelgenerater_pkey");

            entity.ToTable("excelgenerater");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.CreateTime).HasColumnType("timestamp(6) without time zone");
            entity.Property(e => e.CreateTimeUnix).HasColumnName("CreateTime_UNIX");
        });

        modelBuilder.Entity<IotMonitorlog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("iot_monitorlog_pkey");

            entity.ToTable("iot_monitorlog");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.HotelCode).HasMaxLength(255);
            entity.Property(e => e.HotelName).HasMaxLength(255);
            entity.Property(e => e.Platform).HasMaxLength(128);
            entity.Property(e => e.RequestId).HasMaxLength(512);
            entity.Property(e => e.RoomNumber).HasMaxLength(255);
            entity.Property(e => e.TriggerTime).HasMaxLength(64);
        });

        modelBuilder.Entity<LogFilterRule>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("Log_Filter_Rule_pkey");

            entity.ToTable("Log_Filter_Rule");

            entity.Property(e => e.Id).HasComment("ID");
            entity.Property(e => e.Note)
                .HasMaxLength(255)
                .HasComment("规则描述");
            entity.Property(e => e.Rule).HasComment("规则次数");
            entity.Property(e => e.Time).HasComment("时间长度*（s）");
            entity.Property(e => e.Type)
                .HasMaxLength(255)
                .HasComment("错误类型");
        });

        modelBuilder.Entity<Qingao>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("Qingao_pkey");

            entity.ToTable("Qingao");

            entity.Property(e => e.Id).HasIdentityOptions(null, null, null, null, true, null);
            entity.Property(e => e.CurrentTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.HotelCode).HasMaxLength(32);
            entity.Property(e => e.RoomNumber).HasMaxLength(64);
            entity.Property(e => e.TakeCardStatus).HasMaxLength(64);
        });

        modelBuilder.Entity<Recordhotel>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("recordhotel_pkey");

            entity.ToTable("recordhotel");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.CreateTime).HasMaxLength(64);
            entity.Property(e => e.HotelId).HasColumnName("HotelID");
        });

        modelBuilder.Entity<SkyworthTvMonitorlog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("skyworth_tv_monitorlog_pkey");

            entity.ToTable("skyworth_tv_monitorlog");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.RequestId).HasMaxLength(64);
            entity.Property(e => e.RequestTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.ResponseTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.RoomNum).HasMaxLength(64);
            entity.Property(e => e.Step).HasMaxLength(16);
        });

        modelBuilder.Entity<StatisticsTotal>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("statistics_total_pkey");

            entity.ToTable("statistics_total");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.HostNumber).HasMaxLength(64);
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.Mac)
                .HasMaxLength(64)
                .HasColumnName("MAC");
            entity.Property(e => e.RxCount).HasColumnName("RX_Count");
            entity.Property(e => e.TxCount).HasColumnName("TX_Count");
            entity.Property(e => e.UpdateTime)
                .HasMaxLength(64)
                .HasColumnName("Update_Time");
        });

        modelBuilder.Entity<TclTvMonitorlog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("tcl_tv_monitorlog_pkey");

            entity.ToTable("tcl_tv_monitorlog");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.RequestId).HasMaxLength(64);
            entity.Property(e => e.RequestTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.ResponseTime).HasColumnType("timestamp without time zone");
            entity.Property(e => e.RoomNumber).HasMaxLength(64);
            entity.Property(e => e.Step)
                .HasMaxLength(16)
                .HasDefaultValueSql("NULL::character varying");
        });

        modelBuilder.Entity<WebapiMonitorlog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("webapi_monitorlog_pkey");

            entity.ToTable("webapi_monitorlog");

            entity.HasIndex(e => e.MethodName, "MethodName");

            entity.HasIndex(e => new { e.InvokStartTime, e.InvokEndTime }, "Time");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.HotelCode).HasMaxLength(64);
            entity.Property(e => e.InvokEndTime)
                .HasMaxLength(64)
                .HasColumnName("InvokEnd_Time");
            entity.Property(e => e.InvokStartTime)
                .HasMaxLength(64)
                .HasColumnName("InvokStart_Time");
            entity.Property(e => e.MethodName).HasMaxLength(128);
            entity.Property(e => e.RemoteIp)
                .HasMaxLength(64)
                .HasColumnName("RemoteIP");
            entity.Property(e => e.RoomNumber).HasMaxLength(64);
        });

        modelBuilder.Entity<_1091Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1091_Logs_pkey");

            entity.ToTable("1091_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1091Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1091_Rooms_pkey");

            entity.ToTable("1091_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1091SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1091_SimplificationLogs_pkey");

            entity.ToTable("1091_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1106Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1106_Logs_pkey");

            entity.ToTable("1106_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1106Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1106_Rooms_pkey");

            entity.ToTable("1106_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1106SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1106_SimplificationLogs_pkey");

            entity.ToTable("1106_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1197Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1197_Logs_pkey");

            entity.ToTable("1197_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1197Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1197_Rooms_pkey");

            entity.ToTable("1197_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1197SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1197_SimplificationLogs_pkey");

            entity.ToTable("1197_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1399Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1399_Logs_pkey");

            entity.ToTable("1399_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1399Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1399_Rooms_pkey");

            entity.ToTable("1399_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1399SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1399_SimplificationLogs_pkey");

            entity.ToTable("1399_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1564Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1564_Logs_pkey");

            entity.ToTable("1564_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1564Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1564_Rooms_pkey");

            entity.ToTable("1564_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1564SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1564_SimplificationLogs_pkey");

            entity.ToTable("1564_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1633Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1633_Logs_pkey");

            entity.ToTable("1633_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1633Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1633_Rooms_pkey");

            entity.ToTable("1633_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1633SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1633_SimplificationLogs_pkey");

            entity.ToTable("1633_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1760Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1760_Logs_pkey");

            entity.ToTable("1760_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1760Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1760_Rooms_pkey");

            entity.ToTable("1760_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1760SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1760_SimplificationLogs_pkey");

            entity.ToTable("1760_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1849Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1849_Logs_pkey");

            entity.ToTable("1849_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_1849Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1849_Rooms_pkey");

            entity.ToTable("1849_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_1849SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1849_SimplificationLogs_pkey");

            entity.ToTable("1849_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2006Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2006_Logs_pkey");

            entity.ToTable("2006_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2006Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2006_Rooms_pkey");

            entity.ToTable("2006_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_2006SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2006_SimplificationLogs_pkey");

            entity.ToTable("2006_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2013Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2013_Logs_pkey");

            entity.ToTable("2013_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2013Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2013_Rooms_pkey");

            entity.ToTable("2013_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_2013SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2013_SimplificationLogs_pkey");

            entity.ToTable("2013_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2079Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2079_Logs_pkey");

            entity.ToTable("2079_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2079Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2079_Rooms_pkey");

            entity.ToTable("2079_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_2079SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2079_SimplificationLogs_pkey");

            entity.ToTable("2079_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2170Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2170_Logs_pkey");

            entity.ToTable("2170_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2170Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2170_Rooms_pkey");

            entity.ToTable("2170_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_2170SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2170_SimplificationLogs_pkey");

            entity.ToTable("2170_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2209Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2209_Logs_pkey");

            entity.ToTable("2209_Logs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<_2209Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2209_Rooms_pkey");

            entity.ToTable("2209_Rooms");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.ExecuteId).HasColumnName("ExecuteID");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr).HasMaxLength(32);
            entity.Property(e => e.LoopName).HasMaxLength(255);
            entity.Property(e => e.Room).HasMaxLength(255);
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StopId).HasColumnName("StopID");
        });

        modelBuilder.Entity<_2209SimplificationLog>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("2209_SimplificationLogs_pkey");

            entity.ToTable("2209_SimplificationLogs");

            entity.Property(e => e.Id).HasColumnName("ID");
            entity.Property(e => e.Address).HasMaxLength(255);
            entity.Property(e => e.DeviceName).HasMaxLength(255);
            entity.Property(e => e.Execute001).HasColumnName("Execute_001");
            entity.Property(e => e.Execute002).HasColumnName("Execute_002");
            entity.Property(e => e.Execute003).HasColumnName("Execute_003");
            entity.Property(e => e.Execute004).HasColumnName("Execute_004");
            entity.Property(e => e.Execute005).HasColumnName("Execute_005");
            entity.Property(e => e.Execute006).HasColumnName("Execute_006");
            entity.Property(e => e.Execute007).HasColumnName("Execute_007");
            entity.Property(e => e.Execute008).HasColumnName("Execute_008");
            entity.Property(e => e.Room).HasMaxLength(255);
        });

        modelBuilder.Entity<原始日志表设计备份1085Log>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1085_Logs_pkey");

            entity.ToTable("原始日志表设计备份1085_Logs");

            entity.Property(e => e.Id)
                .ValueGeneratedNever()
                .HasComment("ID")
                .HasColumnName("ID");
            entity.Property(e => e.Address)
                .HasMaxLength(255)
                .HasComment("回路地址");
            entity.Property(e => e.DeviceName)
                .HasMaxLength(255)
                .HasComment("回路名称（离在线标记为“离线”，“在线”）");
            entity.Property(e => e.ErrorCode)
                .HasMaxLength(255)
                .HasComment("错误标号");
            entity.Property(e => e.ExecuteCode).HasComment("处理标号");
            entity.Property(e => e.IsError)
                .HasComment("是否为错误记录")
                .HasColumnType("bit(1)");
            entity.Property(e => e.Room)
                .HasMaxLength(255)
                .HasComment("房号");
            entity.Property(e => e.Status).HasComment("状态（离在线，标记1为在线，2为离线）");
            entity.Property(e => e.TimeStamp).HasComment("时间戳");
        });

        modelBuilder.Entity<原始日志表设计备份1085Room>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("1085_Rooms_pkey");

            entity.ToTable("原始日志表设计备份1085_Rooms");

            entity.Property(e => e.Id)
                .ValueGeneratedNever()
                .HasComment("ID")
                .HasColumnName("ID");
            entity.Property(e => e.Date).HasComment("所属日期");
            entity.Property(e => e.E001).HasComment("错误001次数（下同）");
            entity.Property(e => e.E002).HasComment("错误002次数");
            entity.Property(e => e.LogsLength).HasComment("日志总记录条数");
            entity.Property(e => e.RcuStatus).HasComment("主机在线状态");
            entity.Property(e => e.Room)
                .HasMaxLength(255)
                .HasComment("房号");
        });

        modelBuilder.Entity<原始日志表设计备份1085Rooms1>(entity =>
        {
            entity.HasKey(e => e.Id).HasName("原始日志表设计备份1085_Rooms_copy1_pkey");

            entity.ToTable("原始日志表设计备份1085_Rooms1");

            entity.Property(e => e.Id)
                .ValueGeneratedNever()
                .HasComment("ID")
                .HasColumnName("ID");
            entity.Property(e => e.JudgCoun).HasComment("判断数量");
            entity.Property(e => e.JudgTime)
                .HasComment("判断时间")
                .HasColumnName("JudgTime ");
            entity.Property(e => e.JudgTimeStr).HasMaxLength(150);
            entity.Property(e => e.LoopAddr)
                .HasMaxLength(32)
                .HasComment("回路地址");
            entity.Property(e => e.RcuStatus).HasComment("主机在线状态");
            entity.Property(e => e.Room)
                .HasMaxLength(255)
                .HasComment("房号");
            entity.Property(e => e.StartId).HasColumnName("StartID");
            entity.Property(e => e.StartTime).HasComment("判断开始时间");
            entity.Property(e => e.StateType)
                .HasMaxLength(32)
                .HasComment("状态类型");
            entity.Property(e => e.StopId).HasColumnName("StopID");
            entity.Property(e => e.StopTime).HasComment("判断停止时间");
        });

        OnModelCreatingPartial(modelBuilder);
    }

    partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
}
